Page cover

VIDEO

Base-Path:

https://api.hyprlab.io/v1

Video Path:

https://api.hyprlab.io/v1/video/generations
chevron-right 📌 Request Body Documentationhashtag

prompt (string, required)

  • Description: The main text input that guides the video generation.

  • Validation:

    • Must be a non-empty string.

image (string, optional)

  • Description: Input image to start generating from.

  • Validation:

    • Must be a URL, Data URI, or base64 string.

last_frame (string, optional)

  • Description: Ending image for interpolation.

  • Validation:

    • Must be a URL, Data URI, or base64 string.

reference_images (string / array, optional)

  • Description: Reference to Video.

  • Validation:

    • Must be a URL, Data URI, or base64 string.

aspect_ratio (string, optional)

  • Description: Video aspect ratio.

  • Validation:

    • Must be one of: "16:9" or "9:16".

    • Defaults to "16:9" if not provided.

resolution (string, optional)

  • Description: Resolution of the generated video.

  • Validation:

    • Must be one of: "720p", "1080p" or "4K".

    • Defaults to "720p" if not provided.

duration (integer, optional)

  • Description: Specifies the length of the video in seconds.

  • Validation:

    • Must be one of: 4, 6, or 8.

    • Defaults to 8 if not provided.

negative_prompt (string, optional)

  • Description: A prompt meant to negatively influence or guide processing to not include specific elements.

  • Validation:

    • Must be a text/string.

seed (integer, optional)

  • Description: A seed for deterministic generation during processing.

  • Validation Rules:

    • Must be an integer between 0 and 4,294,967,295.

Post Request:

circle-info

When you send a POST request to create a new Video Generation, the API will return a response containing a Polling URL that can be used to check the processing status and retrieve the results.

curl https://api.hyprlab.io/v1/video/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $HYPRLAB_API_KEY" \
  -d '{
    "model": "veo-3.1",
    "prompt": "A playful and adorable cat.",
    "aspect_ratio": "16:9",
  }'

Polling for Status:

circle-info

To check the status and retrieve the result, send a GET request to the polling URL provided in the response.

circle-info

NOTE: Video Generation took 3-4 Minutes before it finish.

Pricing Details:

Model Name:
Discount:
Resolution:
4 Seconds:
6 Seconds:
8 Seconds:

veo-3.1

50% off

720p

$0.8

$1.2

$1.6

1080p

$1.6

4K

$2.4

veo-3.1-fast

50% off

720p

$0.3

$0.45

$0.6

1080p

$0.6

4K

$1.4

Last updated